<div [class]="inputGroupClass">
  <label *ngIf="mbConfig?.labelText != null" class="input__label" [innerHTML]="mbConfig?.labelText"><span *ngIf="mbRequired" class='label__required'>*</span></label>
  <div *ngIf="mbConfig?.labelText == null && mbConfig?.showFlexEnd" class="input__group--no-label"></div>
  <nz-upload *ngIf="mbTypeUpload === 'drag'"
    nzType="drag"
    nz-col nzXs='24' nzLg='24'
    [class]="inputTextClass"
    [ngClass]="{'ant-upload-disabled': mbConfig?.disable}"
    [nzDisabled]="mbConfig?.disable"
    [nzMultiple]="mbConfig?.multiple"
    [(nzFileList)]="fileList"
    [nzBeforeUpload]="beforeUpload"
    [nzDownload]="downloadFile"
    [nzRemove]="removeFile"
     nzAccept='{{getListAccept()}}'
  >
    <p class="ant-upload-drag-icon">
      <em nz-icon nzType="{{mbIcon}}"></em>
    </p>
    <p class="ant-upload-text">{{mbConfig?.description ? mbConfig?.description : 'common.upload.upload'|translate }}</p>
    <p class="ant-upload-hint" *ngIf="!mbConfig?.viewDetail" [ngClass]='{"file-available": mbShowContentAlert}'>
      {{getTypeFileAvailable()}}
    </p>
  </nz-upload>
  <nz-upload *ngIf="mbTypeUpload === 'upload'"
             nzType="select"
             [ngClass]="{'ant-upload-disabled': mbConfig?.disable}"
             [nzDisabled]="mbConfig?.disable"
             [nzMultiple]="mbConfig?.multiple"
             [(nzFileList)]="fileList"
             [nzBeforeUpload]="beforeUpload"
             [nzDownload]="downloadFile"
             [nzRemove]="removeFile"
              nzAccept='{{getListAccept()}}'
  >
<!--    <nz-input-group [class]="inputTextClass" [nzDisabled]="mbConfig?.disable" [ngClass]="{'ant-upload-disabled': mbConfig?.disable}"-->
<!--                    [nzSuffix]="prefixTemplate">-->
<!--      <input type="text" nz-input [disabled]="mbConfig?.disable"-->
<!--             placeholder="{{'common.upload.fileNotSelected'|translate}}" />-->
<!--    </nz-input-group>-->
    <nz-input-group [class]="inputTextClass" [ngClass]="{'ant-upload-disabled': mbConfig?.disable}"
                    [nzSuffix]="prefixTemplate">
      <input type="text" nz-input [disabled]="mbConfig?.disable"
             placeholder="{{'common.upload.fileNotSelected'|translate}}" />
    </nz-input-group>
    <ng-template #prefixTemplate>
      <mb-button class="btn-upload" mbPrefixIcon="upload" mbButtonText="{{'common.upload.choose'|translate}}"
                 mbButtonAvailableStyle="PRIMARY"></mb-button></ng-template>
  </nz-upload>
  <div *ngIf="mbConfig?.textMessageValue != null && (mbConfig?.showError || isShowError)" [class]="inputMessageClass"
       [class.input__message--error]='isShowError || mbConfig?.showError'>
    <em *ngIf="mbConfig?.showIcon" nz-icon nzType="{{iconType != null && !isShowError ? iconType : classIcon.error}}" nzTheme="outline"></em>
    <span class="text__message">{{mbConfig?.textMessageValue}}</span>
  </div>
</div>
